> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truthlocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# التحقق من إيصال الوكيل

> التحقق من الحقول الموقعة مقابل المفتاح العام المحتفظ به والتحقق من حالة دورة الحياة. الإيصالات القديمة ذات المفاتيح المفقودة غير قابلة للتحقق. يحافظ التدوير على التحقق التاريخي. لا تتحقق نقطة النهاية هذه من تضمين سجل الشفافية.

التحقق من الحقول الموقعة مقابل المفتاح العام المحتفظ به والتحقق من حالة دورة الحياة. الإيصالات القديمة ذات المفاتيح المفقودة غير قابلة للتحقق. يحافظ التدوير على التحقق التاريخي. لا تتحقق نقطة النهاية هذه من تضمين سجل الشفافية.

استخدم مفتاح واجهة برمجة تطبيقات مساحة العمل أو رمز الحامل. قم بترميز المعرف الكامل `maip-receipt:` كجزء واحد من مسار عنوان URL.


## OpenAPI

````yaml ar/maip-openapi.yaml GET /v1/agent-receipts/verify/{receiptID}
openapi: 3.0.3
info:
  title: Truthlocks MAIP receipts and approvals
  version: 2.0.0
servers:
  - url: https://api.truthlocks.com
    description: الإنتاج
  - url: https://sandbox-api.truthlocks.com
    description: بيئة اختبار (Sandbox)
security:
  - apiKey: []
  - bearerAuth: []
paths:
  /v1/agent-receipts/verify/{receiptID}:
    get:
      summary: التحقق من إيصال الوكيل
      description: >-
        التحقق من الحقول الموقعة مقابل المفتاح العام المحتفظ به والتحقق من حالة
        دورة الحياة. الإيصالات القديمة ذات المفاتيح المفقودة غير قابلة للتحقق.
        يحافظ التدوير على التحقق التاريخي. لا تتحقق نقطة النهاية هذه من تضمين
        سجل الشفافية.
      operationId: maipAgentReceiptVerify
      parameters:
        - name: receiptID
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: استجابة ناجحة
          content:
            application/json:
              schema:
                type: object
                properties:
                  receipt_id:
                    type: string
                  valid:
                    type: boolean
                  verdict:
                    type: string
                  reason:
                    type: string
                  signature_verified:
                    type: boolean
                  transparency_verified:
                    type: boolean
                    enum:
                      - false
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.